# Interface ByteChannel

All Superinterfaces:
  `AutoCloseable, Channel, Closeable, ReadableByteChannel, WritableByteChannel`

All Known Subinterfaces:
  `SeekableByteChannel`

All Known Implementing Classes:
  `DatagramChannel, FileChannel, SocketChannel`

public interface ByteChannel extends ReadableByteChannel, WritableByteChannel
A channel that can read and write bytes. This interface simply unifies `ReadableByteChannel` and `WritableByteChannel`; it does not specify any new operations.

Since:
  1.4

## Method Summary

### Methods declared in interface Channel

`close, isOpen`

### Methods declared in interface ReadableByteChannel

`read`

### Methods declared in interface WritableByteChannel

`write`